Query Individuals
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactIndividual/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'{
"list": [
{
"id": "<integer>",
"contactId": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isSecondary": "<boolean>",
"canBeSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"avatarUrl": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
}
],
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
},
{
"id": "<integer>",
"contactId": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isSecondary": "<boolean>",
"canBeSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"avatarUrl": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
}
],
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}
],
"total": "<integer>"
}Individual Queries
Query Individuals
POST
/
api
/
ContactIndividual
/
Query
Query Individuals
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactIndividual/Query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
},
{
"conditions": [
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"operator": "<string>",
"value": "<string>",
"secondaryValue": "<string>",
"values": [
"<string>",
"<string>"
]
}
]
}
],
"sortBy": "<string>",
"descending": "<boolean>"
}
'{
"list": [
{
"id": "<integer>",
"contactId": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isSecondary": "<boolean>",
"canBeSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"avatarUrl": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
}
],
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
},
{
"id": "<integer>",
"contactId": "<integer>",
"prefix": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"suffix": "<string>",
"gender": "<string>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>",
"isSecondary": "<boolean>",
"canBeSecondary": "<boolean>",
"birthMonth": "<integer>",
"birthDay": "<integer>",
"birthYear": "<integer>",
"birthDate": "<string>",
"approximateAge": "<integer>",
"isDeceased": "<boolean>",
"passion": "<string>",
"avatarUrl": "<string>",
"contactMethods": [
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
},
{
"id": "<integer>",
"type": "<string>",
"value": "<string>",
"isOptedIn": "<boolean>",
"isPrimary": "<boolean>",
"canBePrimary": "<boolean>"
}
],
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
],
"customCollections": [
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
},
{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}
],
"total": "<integer>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10. Max is 1000.
Last modified on June 5, 2026
Was this page helpful?
⌘I